org.apache.commons.io.function

## Class UncheckedIOSpliterator<T>

- java.lang.Object
- - org.apache.commons.io.function.UncheckedIOSpliterator<T>

- Type Parameters:
    `T` - the type of elements returned by this iterator.
  All Implemented Interfaces:
    Spliterator<T>

      final class UncheckedIOSpliterator<T>
      extends Object
      implements Spliterator<T>

  A `Spliterator` for an `IOSpliterator` that throws `UncheckedIOException` instead of `IOException`.

  Keep package-private for now.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Spliterator

      `Spliterator.OfDouble, Spliterator.OfInt, Spliterator.OfLong, Spliterator.OfPrimitive<T,T_CONS,T_SPLITR extends Spliterator.OfPrimitive<T,T_CONS,T_SPLITR>>`

  - ### Field Summary

    - ### Fields inherited from interface java.util.Spliterator

      `CONCURRENT, DISTINCT, IMMUTABLE, NONNULL, ORDERED, SIZED, SORTED, SUBSIZED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UncheckedIOSpliterator(IOSpliterator<T> delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `characteristics()`
    `long` | `estimateSize()`
    `void` | `forEachRemaining(java.util.function.Consumer<? super T> action)`
    `Comparator<? super T>` | `getComparator()`
    `long` | `getExactSizeIfKnown()`
    `boolean` | `hasCharacteristics(int characteristics)`
    `boolean` | `tryAdvance(java.util.function.Consumer<? super T> action)`
    `Spliterator<T>` | `trySplit()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UncheckedIOSpliterator

          UncheckedIOSpliterator(IOSpliterator<T> delegate)

  - ### Method Detail

    - #### characteristics

          public int characteristics()

      Specified by:
        `characteristics` in interface `Spliterator<T>`

    - #### estimateSize

          public long estimateSize()

      Specified by:
        `estimateSize` in interface `Spliterator<T>`

    - #### forEachRemaining

          public void forEachRemaining(java.util.function.Consumer<? super T> action)

      Specified by:
        `forEachRemaining` in interface `Spliterator<T>`

    - #### getComparator

          public Comparator<? super T> getComparator()

      Specified by:
        `getComparator` in interface `Spliterator<T>`

    - #### getExactSizeIfKnown

          public long getExactSizeIfKnown()

      Specified by:
        `getExactSizeIfKnown` in interface `Spliterator<T>`

    - #### hasCharacteristics

          public boolean hasCharacteristics(int characteristics)

      Specified by:
        `hasCharacteristics` in interface `Spliterator<T>`

    - #### tryAdvance

          public boolean tryAdvance(java.util.function.Consumer<? super T> action)

      Specified by:
        `tryAdvance` in interface `Spliterator<T>`

    - #### trySplit

          public Spliterator<T> trySplit()

      Specified by:
        `trySplit` in interface `Spliterator<T>`